> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CPLC full definitions for case

> Retrieves a list of definitions for all the professional licenses and certifications that were provided to a case as testimony. This is used when rendering Professional License and Certification testimony by associating the testimony data with the definition.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /service/cplc/case/id/{caseId}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /service/cplc/case/id/{caseId}:
    parameters:
      - schema:
          type: string
          format: uuid
        name: caseId
        in: path
        required: true
        description: The ID of the case for which to retrieve CPLC definitions.
    get:
      tags:
        - Services
      summary: Get CPLC full definitions for case
      description: >-
        Retrieves a list of definitions for all the professional licenses and
        certifications that were provided to a case as testimony. This is used
        when rendering Professional License and Certification testimony by
        associating the testimony data with the definition.
      operationId: get-service-cplc-case-id-caseId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  example-1:
                    cplcDefinitionsList:
                      - id: string
                        name: string
                        category: string
                        enabled: boolean
                        cr_stamp: Date
                        mod_stamp: Date
                        fields:
                          - id: string
                            cplcId: string
                            fieldId: string
                            label: string
                            displayLabel: string
                            required: boolean
                            Cr_stamp: Date
                            mod_stamp: Date
                required:
                  - cplcDefinitionsList
                properties:
                  cplcDefinitionsList:
                    type: array
                    items:
                      $ref: '#/components/schemas/CPLCDefinition'
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
components:
  schemas:
    CPLCDefinition:
      title: CPLCDefinition
      type: object
      examples:
        - id: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
          name: CFP
          category: Finance
          enabled: true
          crStamp: '2021-08-05T18:01:34.000Z'
          modStamp: '2021-08-05T18:01:34.000Z'
          fields:
            - id: 413b926c-57f0-401a-9d9f-1af89f70607a
              fieldId: lastName
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Last Name as on License
              required: true
              displayLabel: Last Name as on License
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 6
              placeholder: Doe
            - id: 54cfa3aa-dd76-4627-8fa9-dcbea5fc5c37
              fieldId: middleInitial
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Middle Initial as on License
              required: false
              displayLabel: Middle Initial as on License
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 5
              placeholder: B
            - id: 74bfafba-972e-4a61-a308-7252eadd2e79
              fieldId: licenseNumber
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: 'License/Cert # or ID'
              required: true
              displayLabel: 'License/Cert # or ID'
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 2
              placeholder: 1234ABC-12
            - id: 7ea4e04d-a6e4-49d2-8c14-d08834279766
              fieldId: firstName
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: First Name as on License
              required: true
              displayLabel: First Name as on License
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 4
              placeholder: Jane
            - id: ce1bc678-a5fa-47a9-bae8-b6310268e058
              fieldId: state
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: State Where Issued
              required: false
              displayLabel: State Where Issued
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 1
              placeholder: CA
            - id: cf71fbad-8025-498c-82fd-c0fd54fb5aea
              fieldId: additionalInfo
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Other Info Provided
              required: false
              displayLabel: Other Info Provided
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 9
              placeholder: Any additional information
            - id: e1460773-fac4-4df7-8ad5-994f2a54064e
              fieldId: issueDate
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Issued/Completed Date
              required: false
              displayLabel: Issued/Completed Date
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 7
              placeholder: 01/01/2000
            - id: e943f10d-1c2c-4f82-b1ea-1978b2f09063
              fieldId: expirationDate
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Expiration/Renewal Date
              required: false
              displayLabel: Expiration/Renewal Date
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 8
              placeholder: 01/01/2030
            - id: f1969299-906a-4942-8dac-d8cf1dc94290
              fieldId: certifyingBody
              cplcId: 041c0aa6-2d64-48d0-b672-83bfcd10d47f
              label: Certifying Body
              required: true
              displayLabel: Certifying Body
              crStamp: '2021-08-05T18:01:34.000Z'
              modStamp: '2024-05-21T14:14:02.000Z'
              ordinal: 0
              placeholder: American Heart Association
      properties:
        id:
          description: >
            The [unique identifier](docs/reference/cplc.md) of a professional
            license or certification.
          type: string
        name:
          description: >-
            The [name](docs/reference/cplc.md) of the professional license or
            certification.
          type: string
        category:
          type: string
          enum:
            - Finance
            - General
            - Healthcare
            - Other
          description: >-
            The category that the professional license or certification falls
            under.
        enabled:
          type: boolean
          description: >-
            True if verification of the professional license or certification is
            enabled in KarmaCheck; false otherwise.
        crStamp:
          type: string
          format: date-time
          example: '2021-08-06T02:08:35.000Z'
        modStamp:
          type: string
          format: date-time
          example: '2021-08-06T02:08:35.000Z'
        fields:
          type: array
          description: >-
            Information about each field that's associated with the professional
            license or certification. Each field represents a specific piece of
            information, such as the issue date or completion date of the
            license or certification.
          items:
            type: object
            properties:
              id:
                type: string
              fieldId:
                type: string
                description: The ID of a field.
              cplcId:
                type: string
                description: The ID of the professional license or certification.
              label:
                type: string
                description: The descriptive label for the field.
              required:
                type: boolean
                description: >-
                  True if information for the field needs to be provided; false
                  otherwise.
              displayLabel:
                type: string
              crStamp:
                type: string
                format: date-time
                example: '2021-08-06T02:08:35.000Z'
              modStamp:
                type: string
                format: date-time
                example: '2024-05-21T14:14:02.000Z'
              ordinal:
                type: number
              placeholder:
                type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````